=== debian/changelog ===
libnb-platform18-java (12.1-2ubuntu1) noble; urgency=medium

  * d/p/allow-security-manager.patch: cherry-pick upstream patch to
    allow setting Java Security Manager (LP: #2061363).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 16 Apr 2024 08:20:35 +1200

libnb-platform18-java (12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@debian.org>  Mon, 05 Oct 2020 18:24:20 +0200

libnb-platform18-java (12.1-1) experimental; urgency=medium

  * New upstream version 12.1.
    - Fix FTBFS due to incompatible types. (Closes: #963281)
  * Fix debian/watch and point to github.com.
  * Switch to debhelper-compat = 13.
  * Remove Andrew Ross from Uploaders because he is not active anymore.
  * Declare compliance with Debian Policy 4.5.0.
  * Refresh all patches and add new ones to prevent build failures.
  * Build-depend on libcommons-codec-java, libcommons-io-java,
    libcommons-logging-java and libjson-simple-java.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Oct 2020 03:08:41 +0200
