=== ide/dlight.nativeexecution/tools/killall/Makefile ===
--- 
+++ 
@@ -27,14 +27,10 @@
 ifeq (armv, $(shell expr substr `arch` 1 4))
     OS_ARCH = $(OS)-arm
 else 
-  ifeq (sun4, $(ARCH))
+  ifeq (sparc64, $(ARCH))
     OS_ARCH = $(OS)-sparc
-  else 
-    ifeq (sparc64, $(ARCH))
-      OS_ARCH = $(OS)-sparc
-    else
-      OS_ARCH = $(OS)-x86
-    endif
+  else
+    OS_ARCH = $(OS)-x86
   endif
 endif
 
@@ -53,10 +49,10 @@
 
 SOURCES_SunOS-x86=$(SOURCES_SunOS)
 SOURCES_SunOS-x86_64=$(SOURCES_SunOS)
-SOURCES_SunOS-sparc=$(SOURCES_SunOS)
 SOURCES_SunOS-sparc_64=$(SOURCES_SunOS)
 SOURCES_Linux-x86=$(SOURCES_Linux)
 SOURCES_Linux-arm=$(SOURCES_Linux)
+SOURCES_Linux-aarch64=$(SOURCES_Linux)
 SOURCES_Linux-x86_64=$(SOURCES_Linux)
 SOURCES_Linux-sparc_64=$(SOURCES_Linux)
 SOURCES_MacOSX-x86=$(SOURCES_Mac)
@@ -85,11 +81,11 @@
 CF_Linux-x86      = $(CF_COMMON) -DLINUX -m32
 CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
 CF_MacOSX-x86     = $(CF_COMMON) -DMACOSX  -D_DARWIN_C_SOURCE -m32
-CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
 CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
 CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
 
 CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -m64
+CF_Linux-aarch64  = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
 CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
 CF_MacOSX-x86_64  = $(CF_COMMON) -DMACOSX  -m64
 CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
@@ -100,7 +96,6 @@
 LF_Windows-x86_64 = --static-libgcc
 LF_SunOS-x86      = -lrt
 LF_SunOS-x86_64   = -lrt
-LF_SunOS-sparc    = -lrt
 LF_SunOS-sparc_64 = -lrt
 
 CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)
