=== ide/dlight.nativeexecution/tools/unbuffer/Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 EX_Linux-x86      = unbuffer.so
 CF_Linux-arm      = $(CF_COMMON) -DLINUX -shared -fPIC
 EX_Linux-arm      = unbuffer.so
+CF_Linux-aarch64  = $(CF_COMMON) -DLINUX -shared -fPIC
+EX_Linux-aarch64  = unbuffer.so
 CF_Linux-x86_64   = $(CF_COMMON) -DLINUX -shared -fPIC -m64
 EX_Linux-x86_64   = unbuffer.so
 CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX -shared -fPIC -m64
@@ -46,8 +48,6 @@
 EX_MacOSX-x86     = unbuffer.dylib
 CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -shared -m64
 EX_MacOSX-x86_64  = unbuffer.dylib
-CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
-EX_SunOS-sparc    = unbuffer.so
 CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -G -fPIC -m64
 EX_SunOS-sparc_64 = unbuffer.so
 CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -G -fPIC -m32
