=== debian/changelog ===
libnb-platform18-java (19~us1-0ubuntu1) oracular; urgency=medium

  * New upstream release libnb-platform-java18 version 19 (LP: #2069654).
    - d/linked-jars: update binary dependencies.
    - d/pom/*.xml: update version to 19.
    - d/watch: update watch file.
    - d/copyright: update exclusions.
    - d/p/*: refresh patches.
    - d/p/{allow-security-manager.patch,platform-langtools9.patch}: drop patches
      integrated upstream.
    - d/p/netbeans-empty-binaries-list.patch: drop patch. Use d/copyright to
      exclude files.
    - d/p/add-use-release-option.patch: add nb-javac option to disable setting
      --release instead of -source/-target.
    - Drop obsolete overrides.
    - d/control: add Rules-Requires-Root: no.
    - d/control: add missing dependencies.
    - d/rules: do not try to delete *.jar directories.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 18 Jun 2024 11:12:14 +1200

libnb-platform18-java (12.1-3) unstable; urgency=medium

  * Team upload
  * d/p/allow-security-manager.patch: cherry-pick upstream patch to
    allow setting Java Security Manager (Closes: #1069015).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Apr 2024 17:24:38 +1200
