=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  libcommons-codec-java,
  libcommons-io-java,
  libcommons-logging-java,
+ libcommons-lang3-java,
  libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
@@ -28,6 +29,7 @@
  libjemmy2-java,
  libjna-platform-java (>= 4.4.0),
  libjson-simple-java,
+ libjsoup-java,
  libjsr305-java,
  libosgi-compendium-java (>= 5.0.0),
  libosgi-core-java (>= 6.0.0),
@@ -35,11 +37,13 @@
  maven-repo-helper,
  rdfind,
  symlinks,
- testng (>=6.8)
-Standards-Version: 4.5.0
+ testng (>=6.8),
+ libjcommander-java
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/libnb-platform-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libnb-platform-java
 Homepage: https://netbeans.org/
+Rules-Requires-Root: no
 
 Package: libnb-platform18-java
 Architecture: all
@@ -51,12 +55,14 @@
  libcommons-codec-java,
  libcommons-io-java,
  libcommons-logging-java,
+ libcommons-lang3-java,
  libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjna-platform-java,
  libjson-simple-java,
+ libjsoup-java,
  libjsr305-java,
  libnb-org-openide-modules-java (>= ${source:Version}),
  libnb-org-openide-util-java (>= ${source:Version}),
@@ -65,6 +71,7 @@
  libosgi-core-java (>= 6.0.0),
  libswing-layout-java (>= 1.0.3),
  testng,
+ libjcommander-java,
  ${java:Depends},
  ${misc:Depends}
 Description: NetBeans Platform for building rich desktop applications in Java
