=== debian/watch ===
version=4
opts=repack,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/netbeans-$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|vc)\d*)$/$1~$2/ \
 https://github.com/apache/netbeans/tags .*/v?(\d.*)@ARCHIVE_EXT@
